# React TS Boilerplate

## 技术栈

- [Vite](https://vitejs.dev)
- [React](https://reactjs.org)
- [TypeScript](https://www.typescriptlang.org)
- [ReactRouter](https://reactrouter.com/docs/en/v6)

## 快速开始

Install project dependencies

```
yarn install
```

Launch the app, it will become available at [http://localhost:3000](http://localhost:3000/)

```
yarn dev
```

## 项目规范

- xxx
- xxx
- xxx

## 目录结构

`├──`[`.vscode`](.vscode) — VSCode settings including code snippets, recommended extensions etc<br>
`├──`[`public`](./public) — Static assets such as robots.txt, index.html etc<br>
`├──`[`src/assets`](./src/assets) — Static assets<br>
`├──`[`src/components`](./src/components) — React public components<br>
`├──`[`src/hooks`](./src/hooks) — React public hooks<br>
`├──`[`src/pages`](./src/pages) — Application and page (screen) components<br>
`├──`[`src/routes`](./src/routes) — Application routes components<br>
`├──`[`src/theme`](./src/services) — External connection service<br>
`├──`[`src/utils`](./src/utils) — Utility functions<br>

## 安装以下 vscode 插件方便开发

Tailwind CSS IntelliSense

> https://marketplace.visualstudio.com/items?itemName=bradlc.vscode-tailwindcss

Prettier - Code formatter

> https://marketplace.visualstudio.com/items?itemName=esbenp.prettier-vscode&ssr=false#overview

EditorConfig for VS Code

> https://marketplace.visualstudio.com/items?itemName=EditorConfig.EditorConfig

## 编码约定

> https://github.com/sj-distributor/react-coding-conventions
